Is it possible to get a specific wildfly version from Dockerhub?

We are deploying our application war file on the wildfly-18 and we would like to dockerize the application for that, I want to download the wildfly-18 image from the dockerhub, but when I use jboss/wildfly gives me the latest wildfly which I don’t want. I would like to use strictly wildfly-18. Is it possible to get the wildfly-18? If no, how can I get the wildfly-18?
I’ve searched over the internet, but couldn’t find anything.

Any suggestions would be appreciated.

Source: Docker Questions